Skip to main content
GET
/
api
/
apps
/
v1
/
apps
/
{appId}
Get App (v1)
curl --request GET \
  --url https://api.example.com/api/apps/v1/apps/{appId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "accessControl": {
    "accessStatuses": [
      {
        "userId": "<string>"
      }
    ],
    "discoverable": true
  },
  "authorship": {
    "isDraft": true,
    "author": {
      "id": "<string>",
      "name": "<string>"
    }
  },
  "configurationType": "STANDARD",
  "entryPoint": "<string>",
  "id": "<string>",
  "mountDatasets": true,
  "name": "<string>",
  "project": {
    "id": "<string>",
    "name": "<string>",
    "ownerId": "<string>",
    "ownerUsername": "<string>"
  },
  "renderIFrame": true,
  "url": "<string>",
  "views": 123,
  "currentVersion": {
    "createdAt": 123,
    "id": "<string>",
    "tags": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "updatedAt": 123,
    "bundle": {
      "id": "<string>",
      "name": "<string>"
    },
    "content": {
      "mountDatasets": true,
      "dataPlaneId": "<string>",
      "dfsCommitId": "<string>",
      "entryScript": "<string>",
      "environmentId": "<string>",
      "environmentRevisionId": "<string>",
      "extendedIdentityPropagationToAppsEnabled": true,
      "externalVolumeMountIds": [
        "<string>"
      ],
      "gitRef": {
        "value": "<string>"
      },
      "netAppVolumeIds": [
        "<string>"
      ],
      "resolvedCommits": {
        "dfsCommitId": "<string>",
        "gitCommitId": "<string>",
        "importedGitRepos": [
          {
            "ref": "<string>",
            "repoId": "<string>",
            "repoName": "<string>"
          }
        ],
        "importedProjects": [
          {
            "commitId": "<string>",
            "directoryName": "<string>",
            "ownerId": "<string>",
            "projectId": "<string>",
            "projectName": "<string>",
            "release": "<string>"
          }
        ]
      }
    },
    "currentInstance": {
      "createdAt": 123,
      "id": "<string>",
      "status": "<string>",
      "describeUrl": "<string>",
      "dfsCommitId": "<string>",
      "gitCommitId": "<string>",
      "publisher": {
        "id": "<string>",
        "name": "<string>"
      }
    },
    "deployment": {
      "autoscalingSpecification": {
        "enabled": true,
        "maxReplicas": 15,
        "minReplicas": 15,
        "scaleDownStabilizationWindowSeconds": 1800,
        "scaleUpStabilizationWindowSeconds": 1800,
        "targetCpuAvgUtilizationPct": 50,
        "targetMemoryAvgUtilizationPct": 50,
        "useSessionAffinity": true
      },
      "hardwareTierId": "<string>",
      "vanityUrl": "<string>"
    },
    "description": "<string>",
    "versionNumber": 123
  },
  "customFields": [
    {
      "fields": [
        {
          "customFieldId": "<string>",
          "customFieldLabel": "<string>",
          "updatedAt": 123,
          "updatedBy": {
            "userId": "<string>",
            "username": "<string>"
          },
          "value": "<string>"
        }
      ],
      "groupName": "<string>"
    }
  ],
  "description": "<string>",
  "taxonomyTags": [
    {
      "id": "<string>",
      "label": "<string>",
      "namespaceId": "<string>",
      "description": "<string>",
      "fullPath": [
        "<string>"
      ],
      "namespaceLabel": "<string>"
    }
  ],
  "thumbnailEtag": "<string>",
  "updatedAt": 123,
  "vanityUrl": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required

Response

Success

accessControl
object
required

Visibility and access-grant settings for an App.

authorship
object
required

Identity metadata for an App: whether it is a draft and the user who created it.

configurationType
enum<string>
default:STANDARD
required

Type of configuration for the app which determines different deployment resources and settings.

Available options:
STANDARD,
AISYSTEM
entryPoint
string
required
id
string
required
mountDatasets
boolean
required

App-level default for whether to mount Domino Datasets into the App's runtime.

name
string
required
project
object
required
renderIFrame
boolean
required
url
string
required
views
number
required
currentVersion
object
customFields
object[]

Custom field values assigned to this app, grouped by group name.

description
string
taxonomyTags
object[]

Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.

thumbnailEtag
string
updatedAt
number<epoch>
vanityUrl
string